package com.hzs.activity.pick.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hzs.activity.pick.vo.AcRetailPickProductConfigVO;
import com.hzs.common.domain.activity.pick.AcRetailPickProductConfig;
import com.hzs.system.sys.dto.ApprovalBusinessResultDTO;

/**
 * 提货赠送活动商品配置 服务类
 */
public interface IAcRetailPickProductConfigService extends IService<AcRetailPickProductConfig> {

    /**
     * 会员消费赠送发起签呈
     **/
    Boolean onLinePetition(AcRetailPickProductConfigVO rppcVo);

    /**
     * 会员提货赠送活动审批
     **/
    String approvalAgree(ApprovalBusinessResultDTO businessResult);

    /**
     * 新增提货赠送规格
     **/
    Long saveGift(AcRetailPickProductConfigVO mcrVo);

    void updateGift(AcRetailPickProductConfigVO mcrVo);

    void removeActivity(Integer pkId);
}
